Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.rds.model
Class Endpoint

    java.lang.Object
      com.amazonaws.services.rds.model.Endpoint

    public class Endpoint

extends Object

Constructor Summary
`Endpoint()`

Method Summary
`String` | `getAddress()` Specifies the DNS address of the DB Instance.
`Integer` | `getPort()` Specifies the port that the database engine is listening on.
`void` | `setAddress(String address)` Specifies the DNS address of the DB Instance.
`void` | `setPort(Integer port)` Specifies the port that the database engine is listening on.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`Endpoint` | `withAddress(String address)` Specifies the DNS address of the DB Instance.
`Endpoint` | `withPort(Integer port)` Specifies the port that the database engine is listening on.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Endpoint

    public Endpoint()

Method Detail

### getAddress

    public String getAddress()

  Specifies the DNS address of the DB Instance.

  Returns:
    Specifies the DNS address of the DB Instance.

### setAddress

    public void setAddress(String address)

  Specifies the DNS address of the DB Instance.

  Parameters:
    `address` - Specifies the DNS address of the DB Instance.

### withAddress

    public Endpoint withAddress(String address)

  Specifies the DNS address of the DB Instance.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `address` - Specifies the DNS address of the DB Instance.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getPort

    public Integer getPort()

  Specifies the port that the database engine is listening on.

  Returns:
    Specifies the port that the database engine is listening on.

### setPort

    public void setPort(Integer port)

  Specifies the port that the database engine is listening on.

  Parameters:
    `port` - Specifies the port that the database engine is listening on.

### withPort

    public Endpoint withPort(Integer port)

  Specifies the port that the database engine is listening on.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `port` - Specifies the port that the database engine is listening on.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.